org.eclipse.cdt.core.model

## Interface IPathEntryContainer

All Known Subinterfaces:
  IPathEntryContainerExtension

    public interface IPathEntryContainer

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Answers a readable description of this container
`org.eclipse.core.runtime.IPath` `getPath()` Answers the container path identifying this container.
`IPathEntry[]` `getPathEntries()` Answers the set of path entries this container is mapping to.

### Method Detail

#### getPathEntries

    IPathEntry[] getPathEntries()

Answers the set of path entries this container is mapping to.

The set of entries associated with a container may contain any of the following:

- library entries (`CDT_LIBRARY`)
- project entries (`CDT_PROJECT`)
- macro entries (`CDT_MACRO`)
- include entries (`CDT_INCLUDE`)

A container can neither reference further containers.

Returns:
  IPathEntry[] - the entries this container represents
See Also:
  `IPathEntry`

#### getDescription

    String getDescription()

Answers a readable description of this container

Returns:
  String - a string description of the container

#### getPath

    org.eclipse.core.runtime.IPath getPath()

Answers the container path identifying this container. A container path is formed by a first ID segment followed with extra segments, which can be used as additional hints for resolving to this container.

The container ID is also used to identify a`ClasspathContainerInitializer` registered on the extension point "org.eclipse.jdt.core.classpathContainerInitializer", which can be invoked if needing to resolve the container before it is explicitly set.

Returns:
  IPath - the container path that is associated with this container